net.corda.node.services.messaging

## Class ConnectionDirection.Outbound

- ConnectionDirection
- - net.corda.node.services.messaging.ArtemisMessagingComponent.ConnectionDirection.Outbound

- Enclosing class:
    ArtemisMessagingComponent.ConnectionDirection

      public static class ConnectionDirection.Outbound
      extends ConnectionDirection

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.services.messaging.ArtemisMessagingComponent.ConnectionDirection

      `ConnectionDirection.Inbound, ConnectionDirection.Outbound`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Outbound(java.lang.String expectedCommonName)`
    `Outbound()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpectedCommonName()`

- - ### Constructor Detail

    - #### Outbound

          public Outbound(java.lang.String expectedCommonName)

    - #### Outbound

          public Outbound()

  - ### Method Detail

    - #### getExpectedCommonName

          public java.lang.String getExpectedCommonName()